# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_product.py
    author:rabin
"""
from .__load__ import *

class Farm_product(Model):
	__table__ = 'farm_product'
	__comment__ = '园区产品表'
	id = Fields(type='uuid', primaryKey=True, comment='产品ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='产品名')
	area = Fields(type='varchar(30)', comment='种植面积')
	yields = Fields(type='varchar(30)', comment='平均亩产')
	charact = Fields(type='varchar(200)', comment='特点')
	notice = Fields(type='varchar(200)', comment='使用须知')
	pic = Fields(type='varchar(255)', comment='图片')
	status = Fields(type='boolean', default='True', comment='正常、隐藏')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')